apiVersion: capabilities.3scale.net/v1beta1
kind: Product
metadata:
  annotations:
    insecure_skip_verify: 'true'
  name: test3
  namespace: 3scale-one
spec:
  metrics:
    getmetric:
      friendlyName: get_metrics
      unit: hit
  deployment:
    apicastHosted:
      authentication:
        userkey:
          authUserKey: token
          credentials: query
            #backendUsages:
            #  backendmkudleupstremfievbpmf7adi0g:
            #    path: /
  mappingRules:
    - httpMethod: GET
      increment: 1
      last: false
      metricMethodRef: hits
      pattern: /
    - httpMethod: GET
      increment: 1
      metricMethodRef: getmetric
      pattern: /
  name: test3
  applicationPlans:
    AppPlanTest:
      costMonth: '0.00'
      published: true
      setupFee: '0.00'
